Bug 20861 - Correct EDI permissions on some pages
Summary: Correct EDI permissions on some pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-03 08:08 UTC by Katrin Fischer
Modified: 2018-06-07 08:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20861: Correct EDI permissions on EDI messsages (1.79 KB, patch)
2018-06-03 08:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20861: Correct EDI permissions on EDI messsages (1.84 KB, patch)
2018-06-04 13:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20861: Correct EDI permissions on EDI messsages (1.92 KB, patch)
2018-06-04 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-06-03 08:08:58 UTC
It's edi_manage not manage_edi.
Comment 1 Katrin Fischer 2018-06-03 08:12:13 UTC
Created attachment 75747 [details] [review]
Bug 20861: Correct EDI permissions on EDI messsages

The permission for EDI is edi_manage, but 2 pages asked
for manage_edi, allowing users not to access those.

To test:
- Add edi_manage to your permissions
- Try to access the EDIFACT messages from the
  acq start page
- Verify it doesn't work
- Apply patch and try again
- You should be able to access the page now
- Try to access the other page directly (if you don't
  have EDI data):
  /cgi-bin/koha/acqui/edimsg.pl
- Verify you can access the page and don't get a
  permission error
Comment 2 M. Tompsett 2018-06-04 13:41:43 UTC
Created attachment 75770 [details] [review]
Bug 20861: Correct EDI permissions on EDI messsages

The permission for EDI is edi_manage, but 2 pages asked
for manage_edi, allowing users not to access those.

To test:
- Add edi_manage to your permissions
- Try to access the EDIFACT messages from the
  acq start page
- Verify it doesn't work
- Apply patch and try again
- You should be able to access the page now
- Try to access the other page directly (if you don't
  have EDI data):
  /cgi-bin/koha/acqui/edimsg.pl
- Verify you can access the page and don't get a
  permission error

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2018-06-04 16:33:02 UTC
Created attachment 75782 [details] [review]
Bug 20861: Correct EDI permissions on EDI messsages

The permission for EDI is edi_manage, but 2 pages asked
for manage_edi, allowing users not to access those.

To test:
- Add edi_manage to your permissions
- Try to access the EDIFACT messages from the
  acq start page
- Verify it doesn't work
- Apply patch and try again
- You should be able to access the page now
- Try to access the other page directly (if you don't
  have EDI data):
  /cgi-bin/koha/acqui/edimsg.pl
- Verify you can access the page and don't get a
  permission error

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-06-04 17:50:51 UTC
Pushed to master for 18.11, awesome work everybody!
Comment 5 Martin Renvoize 2018-06-05 11:26:26 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 6 Fridolin SOMERS 2018-06-07 07:24:03 UTC
Pushed to 17.11.x for 17.11.07
Comment 7 Fridolin SOMERS 2018-06-07 08:16:34 UTC
Pushed to 17.05.x for 17.05.13